Package uk.ac.starlink.table.join

# Class EllipseCartesianMatchEngine.InDegrees

java.lang.Object
uk.ac.starlink.table.join.AbstractCartesianMatchEngine
uk.ac.starlink.table.join.EllipseCartesianMatchEngine
uk.ac.starlink.table.join.EllipseCartesianMatchEngine.InDegrees

All Implemented Interfaces:
  `MatchEngine`

Enclosing class:
  EllipseCartesianMatchEngine

public static class EllipseCartesianMatchEngine.InDegrees extends EllipseCartesianMatchEngine
MatchEngine class that behaves like EllipseCartesianSkyMatchEngine but uses human-friendly units (degrees and arcseconds) rather than radians for tuple elements and match parameters. The difference is only in position angle.

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.table.join.EllipseCartesianMatchEngine

`EllipseCartesianMatchEngine.InDegrees`

## Constructor Summary

Constructors
Constructor
Description
`InDegrees(double scale)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.ValueInfo[]`
`getTupleInfos()`
Returns a set of ValueInfo objects indicating what is required for the elements of each tuple.

### Methods inherited from class uk.ac.starlink.table.join.EllipseCartesianMatchEngine

`createCoverageFactory, createMatchKitFactory, getMatchParameters, getMatchScoreInfo, getScale, getScoreScale, setRecogniseCircles, setScale, toString`

### Methods inherited from class uk.ac.starlink.table.join.AbstractCartesianMatchEngine

`getBinFactor, getIsotropicScale, getNdim, getScale, getTuningParameters, setBinFactor, setIsotropicScale, setScale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InDegrees

public InDegrees(double scale)
Constructor.

Parameters:
  `scale` - rough scale of ellipse dimensions

## Method Details

### getTupleInfos

public uk.ac.starlink.table.ValueInfo[] getTupleInfos()
Description copied from interface: `MatchEngine`
Returns a set of ValueInfo objects indicating what is required for the elements of each tuple. The length of this array is the number of elements in the tuple. Each element should at least have a defined name and content class. The info's `nullable` attribute has a special meaning: if true it means that it makes sense for this element of the tuple to be always blank (for instance assigned to no column).

Specified by:
  `getTupleInfos` in interface `MatchEngine`
Overrides:
  `getTupleInfos` in class `EllipseCartesianMatchEngine`
Returns:
  array of objects describing the requirements on each element of the tuples used for matching